SMF Support > SMF 1.1.x Support

Depreciation error recovery?

(1/1)

PD3:
Hi all. I've been running an old version of SMF Portal and for the most part it's been fine. Haven't been able to update all the files through the package manager as time went by, but wasn't too bothered as long as it still worked. Should have known better -- now it doesn't work at all.

I've read the threads about depreciation and it looks to me like editing the index template won't work anymore, so that leaves me with upgrading. How do I upgrade a portal that no longer works?

The error message, in case it's of any use, is:

--- Quote ---PHP Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/public_html/forum/Sources/Load.php(225) : runtime-created function on line 3
--- End quote ---

Thanks for any useful suggestions

Kindred:
you have to update your SMF to 2.0.17.

SMF 1.1.x will not run on newer versions of php


https://wiki.simplemachines.org/smf/Upgrading

PD3:

--- Quote from: Kindred on May 05, 2020, 09:46:29 AM ---you have to update your SMF to 2.0.17.

SMF 1.1.x will not run on newer versions of php


https://wiki.simplemachines.org/smf/Upgrading

--- End quote ---

Hi Kindred, thanks for that. I had a quick look at the instructions and it looks like a nightmare for me. Guess I'll save that for a Saturday morning.

Thanks for the reply.

Navigation

[0] Message Index

Go to full version